- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Eina_Lines_Iterator Struct Reference
Eina » Tools » File

This represents a line iterator a file. More...

## Data Fields
Eina_Iterator | iterator
| The iterator itself.
Eina_File * | fp
| The file this iterator is associated with.
const char * | map
| A pointer to the head of the file that has been mapped with mmap(2). More...
const char * | end
| A pointer to the end of the file that has been mapped with mmap(2). More...
int | boundary
| Curretnly hard coded to 4096. More...
Eina_File_Line | current
| The current line.

## Detailed Description

This represents a line iterator a file.

## Field Documentation

const char* _Eina_Lines_Iterator::map

A pointer to the head of the file that has been mapped with mmap(2).

Referenced by eina_file_map_lines().

const char* _Eina_Lines_Iterator::end

A pointer to the end of the file that has been mapped with mmap(2).

Referenced by eina_file_map_lines().

int _Eina_Lines_Iterator::boundary

Curretnly hard coded to 4096.

Referenced by eina_file_map_lines().